
{{ define "main" }}

{{ $entries_to_display := slice }}
{{ range $index, $entry := $.Site.Data.c19dpes_research_projects.research_projects }}
  {{ $entries_to_display = $entries_to_display | append $entry}}
{{ end }}

{{ $projects := slice }}
{{ $projects = shuffle $entries_to_display }}

{{ $slide1_mobile := $projects | first 1 }}
{{ $slide2_mobile := (after 1 $projects) | first 1 }}
{{ $slide3_mobile := (after 2 $projects) | first 1 }}
{{ $slides_mobile := slice $slide1_mobile $slide2_mobile $slide3_mobile }}

{{ $slide1_tablet := $projects | first 2 }}
{{ $slide2_tablet := (after 2 $projects) | first 2 }}
{{ $slide3_tablet := (after 4 $projects) | first 2 }}
{{ $slides_tablet := slice $slide1_tablet $slide2_tablet $slide3_tablet }}

{{ $slide1_desktop := $projects | first 4 }}
{{ $slide2_desktop := (after 4 $projects) | first 4 }}
{{ $slide3_desktop := (after 8 $projects) | first 4 }}
{{ $slides_desktop := slice $slide1_desktop $slide2_desktop $slide3_desktop }}

<!--<script src="https://cdn.jsdelivr.net/gh/inab/oeb-messages@main/dist/oeb-messages.es.js"></script>
<custom-message border="1px solid lightsteelblue" backgroundColor="azure" textColor="gray" url="https://raw.githubusercontent.com/inab/oeb-messages/main/demo/message.json"></custom-message>-->

<div class="hero">
  <div class="container">
    <h1 class="pl-2 motto">{{ i18n "motto" }}</h1>
  </div>
</div>
<main class="container">
  <article class="mt-5">
    {{ .Content }}
  </article>
  <section id="projects">
    <h2>{{ i18n "research_projects" }}</h2>
    <div class="row">
      <div class="col">
        <div class="d-block d-sm-none">
          {{ partial "carousel.html" (dict "context" . "slides" $slides_mobile "viewport" "mobile" ) }}
        </div>
        <div class="d-none d-sm-block d-lg-none">
          {{ partial "carousel.html" (dict "context" . "slides" $slides_tablet "viewport" "tablet" ) }}
        </div>
        <div class="d-none d-lg-block">
          {{ partial "carousel.html" (dict "context" . "slides" $slides_desktop "viewport" "desktop" ) }}
        </div>
      </div>
    </div>
    <a href="/research-projects" class="see-all-link arrow">{{ i18n "see_all_research_projects" }}</a>
  </section>
  <section id="resources">
    <h2>{{ i18n "interactive_resources" }}</h2>
    <div class="card-deck">
      <div class="card dp-card">
        <h5 class="card-header">{{ i18n "cv19_incidence_map" }}</h5>
        <div class="card-body">
          <p class="card-text"><a href="https://flowmaps.life.bsc.es">Flow-Maps</a> is a system for monitoring COVID-19 outbreaks and mobility-associated risk by integrating health information, population-level mobility patterns into a Geographical Information System.</p>
          <div class="map_container">
              <div id="map_incidence"></div>
              <div class="hoverinfo" id="hoverinfo"></div>
          </div>
          <p class="text-muted">{{ i18n "developed_by" }} <a target="_blank" href="http://life.bsc.es/compbio">Computational Biology group</a> and <a target="_blank" href="https://www.bsc.es/discover-bsc/organisation/scientific-structure/national-institute-bioinformatics-elixir-node-0">INB coordination team</a>, BSC</p>
        </div>
        <div class="card-footer">
          <a href="https://flowmaps.life.bsc.es/flowboard/board_risk" class="arrow">{{ i18n "explore_the_resource" }}</a>
        </div>
      </div>
      <div class="card dp-card">
        <h5 class="card-header">{{ i18n "variant_distribution" }}</h5>
        <div class="card-body">
          <p class="card-text"><a href="https://covid19beacon.crg.eu">COVID-19 Viral Beacon</a> is a tool to find SARS-CoV-2 variability at genomic, amino acid and motif level. It has been developed as a branch of the GA4GH Beacon standard, as a special use case for testing and demonstration of new features in Beacon v2 (and implicitly of Beacon v1).</p>
          <div class="d-flex justify-content-center">
            <iframe class="d-none d-sm-block" type="text/html" frameborder="0" width="390" height="390" src="https://covid19beacon.crg.eu/variant_frequency_plot?height=370&width=370"></iframe>
          </div>
          <p class="text-muted">{{ i18n "developed_by" }} <a target="_blank" href="https://www.crg.eu/en/programmes-groups/ega-team">EGA team</a>, CRG</p>
        </div>
        <div class="card-footer">
          <a href="https://covid19beacon.crg.eu" class="arrow">{{ i18n "explore_the_resource" }}</a>
        </div>
      </div>
    </div>
    <a href="/resources" class="see-all-link arrow">{{ i18n "see_all_resources" }}</a>
  </section>
</main>
<script>createRiskMaps("map_incidence", 400);</script>
{{ end }}
